'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var uuid = require('node-uuid');
var moment = require("moment");
var removeMd = require('remove-markdown');

var DayOneEntry = function DayOneEntry(entryObject) {
    _classCallCheck(this, DayOneEntry);

    console.log(entryObject);
    var createdDate = moment(entryObject["Creation Date"]);
    var entryText = entryObject['Entry Text'];
    var entryLines = entryText.split("\n");
    var title = removeMd(entryLines[0]);
    var body = entryLines.slice(1).join("\n");
    this.created_at = createdDate.unix();
    this.updated_at = createdDate.unix();
    this.title = title;
    this.body = body;
    this.tags = entryObject["Tags"] || [];
    this.uuid = uuid.v4().toUpperCase();
    // no title item
    this.isFragment = !(this.title || this.title.trim().length > 0);
};

exports.default = DayOneEntry;
module.exports = exports['default'];
//# sourceMappingURL=DayOneEntry.js.map